FLAIM: Cache Configuration Functions

- Main Page
- Modules
- Classes
- Files

# Cache Configuration Functions
[FLAIM System Functions]

## Functions
FLMEXP RCODE FLMAPI | FlmSetDynamicMemoryLimit (FLMUINT uiCacheAdjustPercent, FLMUINT uiCacheAdjustMin, FLMUINT uiCacheAdjustMax, FLMUINT uiCacheAdjustMinToLeave)
| Set dynamic cache limit.
FLMEXP RCODE FLMAPI | FlmSetHardMemoryLimit (FLMUINT uiPercent, FLMBOOL bPercentOfAvail, FLMUINT uiMin, FLMUINT uiMax, FLMUINT uiMinToLeave, FLMBOOL bPreallocate=FALSE)
| Set hard cache limit.
FLMEXP void FLMAPI | FlmGetMemoryInfo (FLM_MEM_INFO *pMemInfo)
| Get cache information.

## Function Documentation

FLMEXP void FLMAPI FlmGetMemoryInfo | ( | FLM_MEM_INFO * | pMemInfo | ) |

  | Get cache information. Parameters:
  pMemInfo | Memory information is returned here.

FLMEXP RCODE FLMAPI FlmSetDynamicMemoryLimit | ( | FLMUINT | uiCacheAdjustPercent,
|  | FLMUINT | uiCacheAdjustMin,
|  | FLMUINT | uiCacheAdjustMax,
|  | FLMUINT | uiCacheAdjustMinToLeave
| ) |

  | Set dynamic cache limit. Parameters:
  uiCacheAdjustPercent | Percent of available memory to set cache limit to.
  uiCacheAdjustMin | Minimum cache limit (bytes) to allow.
  uiCacheAdjustMax | Maximum cache limit (bytes) to allow.
  uiCacheAdjustMinToLeave | Minumum memory that must be left after setting cache limit. NOTE: This is an alternative to setting maximum. This parameter is ignored if uiCacheAdjustMax is non-zero.

FLMEXP RCODE FLMAPI FlmSetHardMemoryLimit | ( | FLMUINT | uiPercent,
|  | FLMBOOL | bPercentOfAvail,
|  | FLMUINT | uiMin,
|  | FLMUINT | uiMax,
|  | FLMUINT | uiMinToLeave,
|  | FLMBOOL | bPreallocate = `FALSE`
| ) |

  | Set hard cache limit. Parameters:
  uiPercent | If non-zero, the hard limit is calculated as a percentage of either available memory or total physical memory. If zero, the uiMax parameter is the hard limit.
  bPercentOfAvail | Only used if uiPercent is non-zero. If TRUE, the limit is calculated as a percentage of currently available memory. If FALSE, the limit is calculated as a percentage of total physical memory.
  uiMin | Only used if uiPercent is non-zero. This is the minimum hard limit that can be set. If the calculated hard limit is less than this, it will be adjusted up to this minimum.
  uiMax | If uiPercent is zero, this is the hard limit to set. Otherwise, this is the maximum limit that should be set. If the limit is calculated as a percentage of either available memory or total physical memory, and it is over this maximum, it will be adjusted down to this maximum. NOTE: When a calculation is being done, FLAIM will first adjust down to the maximum, and then, if necessary, up to the minimum.
  uiMinToLeave | Only used if uiPercent is non-zero and uiMax is zero. In that scenario, the hard limit is being calculated, but no maximum limit was specified, so uiMinToLeave is used to calculate a maximum. The maximum will be calculated as the available memory (if bPercentOfAvail is TRUE) or total physical memory (if bPercentOfAvail is FALSE) minus uiMinToLeave.
  bPreallocate | Preallocate all of the memory once the limit is calculated.